| xmonad-contrib-0.9.1: Third party extensions for xmonad | Source code | Contents | Index

XMonad.Layout.BoringWindows

Portability | unportable
Stability | unstable
Maintainer | none

Contents

Usage

Description
BoringWindows is an extension to allow windows to be marked boring
Synopsis

boringWindows :: (LayoutClass l a, Eq a) => l a -> ModifiedLayout BoringWindows l a
boringAuto :: (LayoutClass l a, Eq a) => l a -> ModifiedLayout BoringWindows l a
markBoring :: X ()
clearBoring :: X ()
focusUp :: X ()
focusDown :: X ()
focusMaster :: X ()
data UpdateBoring = UpdateBoring

data BoringMessage

= Replace String [Window]
| Merge String [Window]

data BoringWindows a

Usage

You can use this module with the following in your `~/.xmonad/xmonad.hs`:

     import XMonad.Layout.BoringWindows

Then edit your `layoutHook` by adding the layout modifier:

     myLayout = boringWindows (Full ||| etc..)
     main = xmonad defaultConfig { layoutHook = myLayout }

Then to your keybindings, add:

     , ((modm, xK_j), focusUp)
     , ((modm, xK_k), focusDown)
     , ((modm, xK_m), focusMaster)

For more detailed instructions on editing the layoutHook see:

XMonad.Doc.Extending

boringWindows :: (LayoutClass l a, Eq a) => l a -> ModifiedLayout BoringWindows l a | Source

boringAuto :: (LayoutClass l a, Eq a) => l a -> ModifiedLayout BoringWindows l a | Source

Mark windows that are not given rectangles as boring

markBoring :: X () | Source

clearBoring :: X () | Source

focusUp :: X () | Source

focusDown :: X () | Source

focusMaster :: X () | Source

data UpdateBoring | Source

UpdateBoring is sent before attempting to view another boring window, so that layouts have a chance to mark boring windows.
Constructors

UpdateBoring |

Instances

Typeable UpdateBoring
Message UpdateBoring

data BoringMessage | Source

Constructors

Replace String [Window] |
Merge String [Window] |

Instances

Read BoringMessage
Show BoringMessage
Typeable BoringMessage
Message BoringMessage

data BoringWindows a | Source

Instances

Typeable1 BoringWindows
LayoutModifier BoringWindows Window
Read a => Read (BoringWindows a)
Show a => Show (BoringWindows a)

Produced by Haddock version 2.4.2